Subject: [bug#54539] [PATCH 0/6] Start breaking up import cycles

From: Maxime Devos <[email-masked]>
Date: Thu, 24 Mar 2022 19:07:23 +0100

zimoun schreef op do 24-03-2022 om 17:58 [+0100]:
> I agree that lazyness is a good thing and a good direction.  However,
> let be pragmatic with what we have now. :-)  What are the performance
> comparison between breaking many cycles as Maxime is proposing vs
> using many 'module-ref' + 'resolve-interface' instead of break?

Currently this patch series does not improve anything much, according
to "guix graph --type=module hello | wc --lines".  I'm now introducing
some module-ref+resolve-interface --- it's very convenient, but I'm not
yet at a significant result.

Anyway, restructuring modules and lazy loading can be complementary,
whatever's convenient.

Greetings,
Maxime.